Name: bc
Version: 1.08.2
Release: 1%{?dist}
Summary: GNU's bc (a numeric processing language) and dc (a calculator)
License: GPL-3.0-or-later
URL: https://www.gnu.org/software/bc/
Packager: Teddysun <i@teddysun.com>
Source: https://ftp.gnu.org/gnu/bc/bc-%{version}.tar.gz
Patch1: bc-1.06-dc_ibase.patch
Patch2: bc-1.06.95-doc.patch
Patch3: bc-1.07.1-readline-echo-empty.patch

BuildRequires: gcc
BuildRequires: readline-devel, flex, bison, texinfo, ed
BuildRequires: make

%description
The bc package includes bc and dc. Bc is an arbitrary precision
numeric processing arithmetic language. Dc is an interactive
arbitrary precision stack based calculator, which can be used as a
text mode calculator.

Install the bc package if you need its number handling capabilities or
if you would like to use its text mode calculator.

%prep
%autosetup -p1

%build
%configure --with-readline
%make_build

%install
%make_install
rm -f %{buildroot}%{_infodir}/dir

%files
%license COPYING COPYING.LIB
%doc FAQ AUTHORS NEWS README Examples/
%{_bindir}/dc
%{_bindir}/bc
%{_mandir}/*/*
%{_infodir}/*

%changelog
* Thu May 29 2025 Teddysun <i@teddysun.com> - 1.08.2-1
- Update to 1.08.2

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.08.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Jan 06 2025 Fedora Release Monitoring <release-monitoring@fedoraproject.org> - 1.08.1-1
- Update to 1.08.1 (#2335123)
